> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifense.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List event type geofences

> Lists all geofences for this event type.



## OpenAPI

````yaml https://api.notifense.com/openapi/v1.json get /v1/accounts/{accountId}/assets/{assetId}/alertRules/{eventType}/geofences
openapi: 3.1.1
info:
  title: Notifense
  version: v1
servers:
  - url: https://api.notifense.com
security:
  - oauth2: []
tags:
  - name: accounts
  - name: assets
  - name: alertRules
  - name: events
  - name: telemetry
  - name: geofences
  - name: auth
paths:
  /v1/accounts/{accountId}/assets/{assetId}/alertRules/{eventType}/geofences:
    get:
      tags:
        - alertRules
      summary: List event type geofences
      description: Lists all geofences for this event type.
      parameters:
        - name: accountId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: assetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: eventType
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/EventType'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Geofence'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EventType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
        - 12
        - 13
        - 14
        - 15
        - 16
        - 17
        - 18
        - 19
        - 20
        - 21
        - 22
        - 23
        - 24
        - 25
        - 26
      type: integer
      x-enumDescriptions:
        - Any
        - InputPowerDisconnected
        - InputVoltageLow
        - BatteryLow
        - Jammed
        - MovementStarted
        - MovementStopped
        - IgnitionTurnedOn
        - IgnitionTurnedOff
        - GeofenceEntered
        - GeofenceExited
        - SpeedLimitExceeded
        - AssetLeftBehind
        - FuelLevelLow
        - AdBlueLevelLow
        - AlarmTriggered
        - LockdownViolated
        - Tampering
        - CountryBorderCrossed
        - TemperatureHigh
        - TemperatureLow
        - PressureHigh
        - PressureLow
        - HardCornering
        - EngineIdling
        - EngineSpeedLimitExceeded
    Geofence:
      required:
        - id
        - accountId
        - externalId
        - name
        - polygon
      type: object
      properties:
        id:
          type: string
          format: uuid
        accountId:
          type: string
          format: uuid
        externalId:
          type: string
        name:
          type: string
        polygon:
          $ref: '#/components/schemas/Polygon'
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        message:
          type: string
    Polygon: {}
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.notifense.com/v1/auth/token
          scopes: {}

````